## com.rbnb.api
Interface PlugInInterface

All Superinterfaces:
  ClientInterface, Cloneable, RegisteredInterface, RmapInterface, Serializable, UsernameInterface

All Known Subinterfaces:
  PlugIn

    public interface PlugInInterface

extends ClientInterface

Common representation of a plugin client application connection to the RBNB server.

Since:
  V2.0
Author:
  Ian Brown
Version:
  09/29/2004

Field Summary

Fields inherited from interface com.rbnb.api.ClientInterface
`CLIENT, FOREVER, MIRROR, PLUGIN`

Method Summary
`Object` `clone()` Clones this object.
`void` `register(Rmap rmapI)` Updates the registration for this `PlugIn`.
`void` `reRegister(Rmap rmapI)` Replace the entire registration map for this `PlugIn`.

Methods inherited from interface com.rbnb.api.ClientInterface
`getRemoteID, getType, isRunning, setRemoteID, setType, tryReconnect`

Methods inherited from interface com.rbnb.api.RegisteredInterface
`getRegistered`

Methods inherited from interface com.rbnb.api.RmapInterface
`addChild, compareNames, compareNames, compareTo, findChild, findDescendant, getFullName, getName, getParent, removeChild, removeChildAt, setName, toString, toString`

Methods inherited from interface com.rbnb.api.UsernameInterface
`getUsername, setUsername`

Method Detail

### clone

    Object clone()

  Clones this object.

  This same abstract declaration is also included in RmapInterface.java, but for some unknown reason J# gives a compiler error if it is not also included here.

  Specified by:
    `clone` in interface `ClientInterface`
  Specified by:
    `clone` in interface `RmapInterface`
  Returns:
    the clone.
  Since:
    V2.5
  See Also:
    `Cloneable`
  Author:
    John Wilson
  Version:
    09/29/2004

### register

    void register(Rmap rmapI)
                  throws AddressException,
                         SerializeException,
                         EOFException,
                         InterruptedIOException,
                         IOException,
                         InterruptedException

  Updates the registration for this `PlugIn`.

  The input `Rmap` hierarchy is used to update the registration for this `PlugIn`. The hierarchy may contain `DataBlocks` and time information. That information is copied into the appropriate locations in the registration map.

  Parameters:
    `rmapI` - the registration `Rmap` hierarchy.
  Throws:
    `AddressException` - thrown if there is an addressing problem.
    `SerializeException` - thrown if there is a problem with the serialization.
    `EOFException` - thrown if the end of the input stream is reached.
    `InterruptedIOException` - thrown if this operation is interrupted during I/O.
    `IOException` - thrown if there is an error during I/O.
    `InterruptedException` - thrown if this operation is interrupted.
  Since:
    V2.0
  See Also:
    `reRegister(com.rbnb.api.Rmap)`
  Author:
    Ian Brown
  Version:
    01/14/2002

### reRegister

    void reRegister(Rmap rmapI)
                    throws AddressException,
                           SerializeException,
                           EOFException,
                           InterruptedIOException,
                           IOException,
                           InterruptedException

  Replace the entire registration map for this `PlugIn`.

  Parameters:
    `rmapI` - the new registration map.
  Throws:
    `AddressException` - thrown if there is an addressing problem.
    `SerializeException` - thrown if there is a problem with the serialization.
    `EOFException` - thrown if the end of the input stream is reached.
    `InterruptedIOException` - thrown if this operation is interrupted during I/O.
    `IOException` - thrown if there is an error during I/O.
    `InterruptedException` - thrown if this operation is interrupted.
  Since:
    V2.0
  See Also:
    `register(com.rbnb.api.Rmap)`
  Author:
    Ian Brown
  Version:
    01/21/2002